#ifndef __HASH_H__
#define __HASH_H__

struct HASH_
{
	unsigned char *data;
	unsigned int elems;
	unsigned int elemsize;
};

typedef struct HASH_ * HASH;

#ifdef __cplusplus
	extern "C" HASH hash_create(unsigned int elems, unsigned int elemsize);
	extern "C" void* hash_hash(HASH h, char *key);
#else
	HASH hash_create(unsigned int elems, unsigned int elemsize);
	void* hash_hash(HASH h, char *key);
#endif

#endif
